"
    Copyright (C) 2016-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:dragonfly/c1' }"

"{ NameSpace: DragonFly }"

C1IntegerValue subclass:#C1Int64Value
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'DragonFly-C1'
!

!C1Int64Value class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2016-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.

"
! !

!C1Int64Value methodsFor:'accessing'!

numType
    ^ LLVMType int64

    "Created: / 06-08-2016 / 07:33:52 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!C1Int64Value methodsFor:'converting'!

asC1Int64Value
    ^ self

    "Created: / 17-08-2016 / 22:31:15 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!C1Int64Value methodsFor:'private'!

numValueMaxVal
    ^ 16r7FFFFFFFFFFFFFFF

    "Created: / 06-08-2016 / 09:13:36 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

numValueMinVal
    ^ -16r8000000000000000

    "Created: / 06-08-2016 / 09:13:52 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!C1Int64Value methodsFor:'testing'!

isC1Int64Value
    ^ true

    "Created: / 06-08-2016 / 18:06:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!C1Int64Value class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

